# An Electronic Circuit Simulator/Debugger
_______________________

##Changes in this release:
_______________________
*	compatibility with libsimavr version v1,6

##Quick installation instructions
_______________________

You will need to install these external tools & libraries  
to get full simutron functionality:
_____
*	General run time dependencies: (required)
	*	Qt5Core
	*	Qt5Gui
	*	Qt5Widgets
	*	Qt5Xml
	*	Qt5Svg
	*	Qt5Concurrent
	*	Qt5Serialport
	*	libelf
	*	libsimavr
*	To run AVR & Arduino MCU simulations:
	*	[simavr - a lean and mean Atmel AVR simulator for linux](https://github.com/buserror/simavr): required
		-	The binary archive ships with prebuilt version used with help of start-simutron script
		-	Debian & friends: apt-get install simavr libsimavr-dev
		-	Fedora & friends: dnf install simavr libsimavr-devel
		-	Or see simavr build instructions below
*	To connect with AVR UART port:
	*	[CuteCom serial terminal](https://www.sourceforge.net/projects/cutecom): not required but recommended
		-	Debian & friends: apt-get install cutecom
		-	Fedora & friends: dnf install cutecom
*	To view VCD traces:
	*	[gtkwave VCD/wave viewer](https://sourceforge.net/projects/gtkwave): not required but recommended
		-	Debian & friends: apt-get install gtkwave
		-	Fedora & friends: dnf install gtkwave
*	To build AVR firmware projects:
	*	[Arduino IDE](https://www.arduino.cc/en/Main/Software) provides modern version of AVR C/C++ compiler toolchain (avr-gcc, avr-libc, avr-gdb and other tools).
		-	You can have several instances of Arduino IDE on your computer. Some projects may require specific version.
	*	Most Linux distros also provides AVR C/C++ compiler toolchain packages:
		-	Debian & friends: apt-get install gcc-avr avr-libc
		-	Fedora & friends: dnf install avr-gcc avr-gdb avr-libc
*	Debugger frontend & C/C++ IDE: not required but recommended
	*	Install Code::Blocks IDE:
		-	look for codeblocks package in your linux repository
	*	Note: Besides Code::Blocks, there may be other options, e.g. Eclipse CDT. Simutron itself provides only the remote GDB backend (gdbserver).

To run simutron unpack simutron-1.0.1-SR2-Lin-XX.tar.gz binary archive into folder of your choice,  
go to bin\ directory and run start-simutron .,  
Take into account that our binary distribution may be incompatible with library versions,  
available on your computer.  
In such a case look below to build from sources.  
###Building from sources

*	Install all prerequisites (look you linux repositories for exact package names)
	*	Fedora & friends:
		-	dnf install pkgconfig subversion git
		-	dnf install make gcc gcc-c++ binutils qt5-qtbase-devel qt5-devel elfutils-libelf-devel
		-	dnf install avr-gcc avr-gdb avr-libc
		-	dnf install freeglut freeglut-devel
	*	Debian & friends:
		-	apt-get install build-essential pkg-config subversion git-core
		-	apt-get install qtbase5-dev
		-	apt-get install libelf-dev
		-	apt-get install gcc-avr avr-libc
		-	apt-get install freeglut3 freeglut3-dev
*	Ensure you have Qt5 qmake utility: verify output of the following command
		-	qmake-qt5 -v
			-	or on some systems
		-	qmake -v
*	Build & install simavr
		-	git clone https://github.com/buserror/simavr.git simavr.git
		-	cd simavr.git
		-	make build-parts RELEASE=1
		-	sudo make install RELEASE=1
		-	above will install into /usr/local by default, or you can append e.g. DESTDIR=/usr
		-	Ensure pkg-config utility gives proper location of your simavr libraries, adjust PKG_CONFIG_PATH environment variable if necessary:
			-	pkg-config --libs simavr
		-	Ensure libsimavr.so.1 resolves to your installed location, adjust LD_LIBRARY_PATH environment variable if necessary:
			-	ldd /usr/local/bin/simavr
*	Build simutron
		-	Download and unpack simutron-1.0.1-SR2-Lin-src.tar.gz, or do: svn co https://svn.code.sf.net/p/simutron/code/tags/1.0.1-SR2 simutron
		-	cd simutron/build
		-	qmake-qt5 simutron.pro
		-	make
*	Build firmware binaries (*.elf files) for demonstration projects (optional)
		-	Look README files under share/simutron/examples for particular project instructions.
		-	Also you can extract elf files from simutron binary distrition archive.
*	Install simutron (optional)
		-	The following will install into $PREFIX location (/usr/local by default)
			-	sudo make install
		-	you can install into different location (e.g. /usr) if build with:
			-	qmake-qt5 "PREFIX=/usr" simutron.pro
		-	Also you may want install to the fake root (e.g. during .rpm or .deb package creation).
		-	The following will install into /home/me/tmp/$PREFIX (e.g. /home/me/tmp/usr/local) :
			-	INSTALL_ROOT=/home/me/tmp make install


##Usage
_______________________


    Drag-and-drop components from left-pane->Components  
    to the circuit and create connectors by clicking on pins.  

    Click+move components.  
    Right-click on components: component context menu.  
    Select single components and see/edit properties in left-pane->Properties tab  

    Mouse_wheel:               zoom in/out.  

    click_on_wire:             create node and init new wire.  
    ctrl+click_on_wire:        move existing wire  
    right+click while wiring:  cancel the wire  

For demonstrational examples look for *.simu files under bin and examples folders.

##More info
_______________________
Look https://sourceforge.net/p/simutron/wiki/Home/ for more information.
