# An Electronic Circuit Simulator/Debugger
_______________________
Note for Windows users: both 32-bit and 64-bit binariy executables  
are created using Linux Mingw cross-compiler  
and is tested under Wine environment only.  
If you experience problems with it,  
plese report there: https://sourceforge.net/p/simutron/discussion/general/
_______________________

##Changes in this release:
_______________________
*	new libsimavr version v1,6 bundled
*	Windows XP support terminated due to later Qt 5.9 version

##Quick installation instructions
_______________________

Simutron requires no installation, but works in conjuction with some external tools  
(free & open source) which you can download and install separately  
to get fully functional AVR firmware development environment:
_____
*	To connect host COM port:
	*	Install com0com null-modem emulator:
		-	32-bit Windows: [download](https://sourceforge.net/projects/com0com/files/com0com/3.0.0.0/com0com-3.0.0.0-i386-and-x64-unsigned.zip/download)
		-	64-bit Windows: [download](https://sourceforge.net/projects/com0com/files/com0com/2.2.2.0/com0com-2.2.2.0-x64-fre-signed.zip/download)
	*	Using com0com, simutron component "AVR Serial Connection" links  
UART0 port of simulated MCU to the host virtual serial port with name \\.\CNCA0.
	*	\\.\CNCA0 port (or simply CNCA0) can be opened in most terminal programs (e.g. putty) instead of COM port.
	*	Additionally, you can create alias (like e.g. COM5:) for \\.\CNCA0 device using com0com setup program.
*	To view VCD traces:
	*	gtkwave VCD/wave viewer: [download](https://sourceforge.net/projects/gtkwave/files/gtkwave-3.3.76-bin-win32/gtkwave-3.3.76-bin-win32.zip/download)
		*	unpack gtkwave-XXX-bin-win32.zip somewhere and add bin\ folder to the system path.
*	To build AVR firmware projects:
	*	[Arduino IDE](https://www.arduino.cc/en/Main/Software) provides modern version of AVR C/C++ compiler toolchain (avr-gcc, avr-libc and other tools).
		-	You can have several instances of Arduino IDE on your computer. Some projects may require specific version.
*	Debugger frontend & C/C++ IDE:
	*	Install Code::Blocks IDE:
		-	Choose installation path name without spaces: [download](http://sourceforge.net/projects/codeblocks/files/Binaries/17.12/Windows/codeblocks-17.12mingw-setup.exe)
	*	Note: Besides Code::Blocks, there may be other options, e.g. Eclipse CDT. Simutron itself provides only the remote GDB backend (gdbserver).

To run simutron unpack simutron-1.0.1-SR2-Win-XX.zip archive into folder of your choice,  
go to bin\ directory and run simutron.exe.  
##Usage
_______________________


    Drag-and-drop components from left-pane->Components  
    to the circuit and create connectors by clicking on pins.  

    Click+move components.  
    Right-click on components: component context menu.  
    Select single components and see/edit properties in left-pane->Properties tab  

    Mouse_wheel:               zoom in/out.  

    click_on_wire:             create node and init new wire.  
    ctrl+click_on_wire:        move existing wire  
    right+click while wiring:  cancel the wire  

For demonstrational examples look for *.simu files and correspondent READMEs under examples folder.

##More info
_______________________
Look https://sourceforge.net/p/simutron/wiki/Home/ for more information.
